Imagick::tintImage
Imagick::transformImage
Imagick
PHP Manual

# Imagick::__toString

(No version information available, might only be in Git)

Imagick::__toString — Returns the image as a string.

### Description

string Imagick::__toString ( void )

Returns the current image as string. This will only return a single image; it should not be used for Imagick objects that contain multiple images e.g. an animated GIF or PDF with multiple pages.

### Parameters

This function has no parameters.

### Return Values

Returns the string content on success or an empty string on failure.

### See Also

- Imagick::getImageBlob() - Returns the image sequence as a blob
- Imagick::getImagesBlob() - Returns all image sequences as a blob

Imagick::tintImage
Imagick::transformImage
Imagick
PHP Manual